import java.util.Scanner; 

public class ComputeFactorial {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);
    System.out.print("Wpisz nieujemną liczbę całkowitą: ");
    int n = input.nextInt();
    
    // Wyświetlanie silni
    System.out.println("Silnia liczby " + n + " wynosi " + factorial(n));
  }

  /** Zwraca silnię podanej liczby */
  public static long factorial(int n) {
    if (n == 0) // Przypadek bazowy
      return 1;
    else
      return n * factorial(n - 1); // Wywołanie rekurencyjne
  }
}